package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 操作日志表
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:42.720
 * @Modify      :
 **/
@Data
@Entity
@Table(name="LOG_OPERATE")
@DynamicInsert
@DynamicUpdate
@Api(value="操作日志表",description = "操作日志表")
public class LogOperate extends BaseBean {

 
    @Column(name="OPERATE_MODULE")
    @ApiParam(value ="操作模块" , access ="操作模块")
    private String operateModule;
 
    @Column(name="OPERATE_TYPE")
    @ApiParam(value ="操作类型" , access ="操作类型")
    private String operateType;
 
    @Column(name="OPERATE_OBJECT")
    @ApiParam(value ="操作对象" , access ="操作对象")
    private String operateObject;
 
    @Column(name="OPERATE_FIRST_DATA")
    @ApiParam(value ="操作前数据" , access ="操作前数据")
    private String operateFirstData;
 
    @Column(name="OPERATE_LAST_DATA")
    @ApiParam(value ="操作后数据" , access ="操作后数据")
    private String operateLastData;
 
    @Column(name="OPERATE_IP")
    @ApiParam(value ="服务器IP" , access ="服务器IP")
    private String operateIp;
 
    @Column(name="OPERATE_TERMINAL")
    @ApiParam(value ="操作终端" , access ="操作终端")
    private String operateTerminal;
 
    @Column(name="OPERATE_USER_NAME")
    @ApiParam(value ="操作人名称" , access ="操作人名称")
    private String operateUserName;

}
